RetroLab – Retro Photo Lab

Have you ever dreamed you could create retro photo effects with ease? RetroLab gives you 100% control over how you process your photos.

RetroLab - Retro Photo Lab

Included in this set:

• 30+ presets give you stunning effects fast.
• Quick and Easy Tutorial Videos.
• 20 film actions.
• 22 Seamless surface actions.
• 10 Realistic light leak actions.
• 8 Camera flash and hot spot effect actions.
• 4 Film grain actions.
• 3 Amplifier actions.
• 60+ Seamless surface textures.
• 4 coffee stain brushes.
• 2 dust brushes.
• 5 real frames including: Polaroid, classic photo, film negative and burnt photo.
• Create your own unique combinations.
• All actions are non-destructive and easy to edit.
• Apply multiple actions with no error messages.
• Seamless texture patterns include: folds, mildew, dust, wood, screen and more!
• Need low resolution seamless patterns? We’ve included over 15!
• RetroLab quick guide with simple tips to get the most from RetroLab.

The same kind of kit is most likely used by your favorite design studio. It’s well known that design studios have collections of resources created in-house. These resources save tons of time. RetroLab is a powerful kit you’ll use regularly in your work.

Software requirements: Adobe Photoshop CS4 and newer.

This product was originally featured in The Complete Vintage Designer’s Kit (1000s of Best Selling Items)

RetroLab - Retro Photo Lab

The Smart Choice For Designers

50% Off

50% Off if you buy five or more marketplace items

Save Space

Our downloads don’t expire, download what you need when you need it

Extended License

At no extra cost covering commercial & products for resale
click for details

Professional Support

Contact our friendly Customer Support Team at any time for help or advice


2 lovely comments from our community

  1. Cary

    Does this work with Elements 13 ?
    Thank you!

    Reply
    • Carol Sweeney

      Hey Cary,

      I have popped you an email about this explaining about the compatibility but unfortunately this item requires PS CS4 or higher in order to be able to use it! I am so sorry to disappoint you about this but please do let me know if you have any other queries.

      Reply

Leave us a comment

Your email address will not be published. Required fields are marked *

Back To Top
Top